Skip to main content
GET
/
v1
/
admin
/
airbyte-catalog
List the Airbyte connector catalog
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/airbyte-catalog \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "connectors": [
    {
      "docker_image_tag": "<string>",
      "docker_repository": "<string>",
      "name": "<string>",
      "source_definition_id": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Query Parameters

search
string | null
Maximum string length: 128

Response

Successful Response

connectors
AirbyteCatalogItem · object[]
required